#ifndef _mean_n_
#define _mean_n_

#include "./utils/vector.h"
#include "./utils/matrix.h"
#include "./core/omp_config.h"

namespace numerics{
	
	template <typename T>
	T vecmean(utils::Vector<T>& a) {

		T mean(T{0});

		const uint64_t N = a.size();


	    for (uint64_t i = 0; i < N; ++i) {
            mean += a[i];
	    }
	    mean /= (static_cast<T>(N));
	    return mean;
	}


} // namespace numerics

#endif // _mean_n_